# $Revision: 1.22 $, $Date: 2008/07/27 22:31:04 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RandPasswd
Summary:	Crypt::RandPasswd Perl module - pronounceable passwords generator
Summary(pl.UTF-8):	Moduł Perla Crypt::RandPasswd - generator wymawialnych haseł
Name:		perl-Crypt-RandPasswd
Version:	0.02
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c266c6f10b59945d7dddc58ecef6e13b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This code is a Perl language implementation of the Automated Password
Generator standard, like the program described in "A Random Word
Generator For Pronounceable Passwords". This code is a re-engineering
of the program contained in Appendix A of FIPS Publication 181,
"Standard for Automated Password Generator".

%description -l pl.UTF-8
Ten moduł jest perlową implementacją standardu automatycznego
generatora haseł, takiego jak program opisany w "A Random Word
Generator For Pronounceable Passwords" (generator losowych słów na
potrzeby wymawialnych haseł). Ten kod jest ponowną implementacją
programu zawartego w załączniku A publikacji FIPS numer 181 "Standard
for Automated Password Generator".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

# it may hang on a machine that does not receive enough random events
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/RandPasswd.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-RandPasswd.spec,v $
Revision 1.22  2008/07/27 22:31:04  arekm
- release 6

Revision 1.21  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 22:30:14  paladine
- formatting

Revision 1.18  2004/10/24 14:42:50  ankry
- pl fix

Revision 1.17  2004/10/24 14:13:28  paladine
- spelling fix

Revision 1.16  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.14  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.12  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.11  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:29:40  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/04 08:21:04  kloczek
- relase 3.

Revision 1.3  2002/08/01 14:28:12  ankry
- with(out)_test -> with(out)_tests

Revision 1.2  2002/08/01 10:20:32  ankry
- make test enabled only conditionally (may hang)
- release 2

Revision 1.1  2002/07/31 20:55:52  qboosh
- new
